Kerbal Space Program - Bug #1124

Permanent Connection on placed Mk1 Cockpit
07/25/2013 01:42 PM - SyberSmoke

Status: Closed Start date: 07/25/2013
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.21 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

In the three following images | display a bug and placement on the cockpit where the bug is present. The game is currently
unmodified.

The bug:

The bug presents as an inability to detach items attached to the cockpit. | have tested with the small rocket engines around the
entirety of the cockpit and only the range presented in the images is affected. At the same time | have placed the objects forward
and aft of the positions shown and they detach as normal. Only single items appear to be affected since removing the opposite of a
symmetrical item will remove it's stuck counterpart.

When the item that is attached is clicked, it will act as if | clicked the cockpit | placed as the first item for the ship. All of the show
position exhibit this error. This is a little obscure for a bug, but | hope others will look at the images and replicate this also. | have
tried this on three new planes in the Hanger using that cockpit and they have all shown the same error.

http://i.imgur.com/yleygoK.jpg - Side view of effected area
http:/i.imgur.com/ok15C0u.jpg - Front View of effected area
http:/i.imgur.com/4J1mdB5.jpg - Rear view of effected area

History

#1 - 07/25/2013 01:48 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| saw the same bug in the previous version. | placed a part on the hatch of a lander can, and couldn't remove it. | think it might have something to do
with the parts obstructing the hatch/place where Kerbonauts exit.

#2 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#3 - 07/17/2016 09:18 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

No issues noted with the new Mk1 cockpit and small rocket engines. No problems attaching on/around the hatches either. Likely made moot by Mk1
changes and editor fixes.

04/20/2024 1/1



http://i.imgur.com/yIeygoK.jpg
http://i.imgur.com/ok15C0u.jpg
http://i.imgur.com/4J1mdB5.jpg
http://www.tcpdf.org

